## gdspeak 0.0.1

=== Makefile ===
PACKAGE:=gdspeak
VERSION:=0.0.1
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://maemo.tal.org/
URLS=http://ftp.tal.org/pub/src/gdspeak/0.0

include ../Rules.make

ifeq ($(IS_FREMANTLE),y)
AUDIODEV:=
AUDIOPKG:=
else
AUDIODEV:=,libgstreamer0.10-dev,libgstreamer-plugins-base0.10-dev,libgstapp0.10-dev
AUDIOPKG:=,libgstapp0.10
endif

debian/control:: Makefile debian/control.in Makefile debian/rules debian/changelog
	sed -e s/@AUDIODEV@/$(AUDIODEV)/ debian/control.in > debian/control
	sed -i -e s/@AUDIOPKG@/$(AUDIOPKG)/ debian/control

clean::
	rm -f debian/control

=== debian/changelog ===
gdspeak (0.0.1) unstable; urgency=low

  * Initial package for maemo

 -- Kaj-Michael Lang <milang@tal.org>  Sun, 20 Mar 2011 19:00:00 +0200

=== debian/control ===
Source: gdspeak
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, libespeak-dev (>=1.45.02), libglib2.0-dev, dbus, libdbus-glib-1-dev ,libgstreamer0.10-dev,libgstreamer-plugins-base0.10-dev,libgstapp0.10-dev
Standards-Version: 3.8.0

Package: gdspeak
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libespeak (>=1.45.02), espeak-data (>=1.45.02) ,libgstapp0.10
XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi
Description: espeak D-Bus service
 gdspeak provides a queueing system for applications using espeak.

Package: gdspeak-cli
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, gdspeak (>=0.0.1)
XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi
Description: espeak D-Bus service CLI client for testing
 gdspeak provides a queueing system for applications using espeak.

Package: gdspeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, gdspeak (>= 0.0.1)
Description: Client header and documentation

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=gdspeak-0.0.1
DEB_DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug
ifeq ($(IS_FREMANTLE),n)
DEB_CONFIGURE_EXTRA_FLAGS+=--enable-gst
endif

include /usr/share/cdbs/1/rules/tarball.mk

## gdspeak 0.0.1.901

=== debian/changelog ===
gdspeak (0.0.1.901) unstable; urgency=low

  * Fixes to gstreamer output
  * Track event time and timeout when no events have been seen
  * Adjust queues when using gstreamer so events/signals are sent a proper time
  * Use gstreamer in both diablo (dsppcmsink) and fremantle (pulsesink)

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 12 Apr 2011 17:49:00 +0300

gdspeak (0.0.1.900) unstable; urgency=low

  * Split D-Bus specific parts from gdspeak
  * Add service timeout

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 06 Apr 2011 16:30:00 +0300

=== debian/control ===
Source: gdspeak
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, libespeak-dev (>=1.45.02), libglib2.0-dev, dbus, libdbus-glib-1-dev ,libgstreamer0.10-dev,libgstreamer-plugins-base0.10-dev,libgstapp0.10-dev
Standards-Version: 3.8.0

Package: gdspeak
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libespeak (>=1.45.10), espeak-data (>=1.45.10) ,libgstapp0.10
XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi
Description: espeak D-Bus service
 gdspeak provides a queueing system for applications using espeak.

Package: gdspeak-cli
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, gdspeak (>=0.0.1.900)
XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi
Description: espeak D-Bus service CLI client for testing
 gdspeak provides a queueing system for applications using espeak.

Package: gdspeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, gdspeak (>= 0.0.1.900)
Description: Client header and documentation

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=gdspeak-0.0.1.901
DEB_DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug
ifeq ($(IS_FREMANTLE),n)
DEB_CONFIGURE_EXTRA_FLAGS+=--enable-gst --with-gstsink=pulsesink
else
DEB_CONFIGURE_EXTRA_FLAGS+=--enable-gst --with-gstsink=dsppcmsink
endif

include /usr/share/cdbs/1/rules/tarball.mk

## gdspeak 0.0.1.901-1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=gdspeak
-VERSION:=0.0.1
+VERSION:=0.0.1.901
 SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
 HOMEPAGE:=http://maemo.tal.org/
 URLS=http://ftp.tal.org/pub/src/gdspeak/0.0
@@ -7,7 +7,7 @@
 include ../Rules.make
 
 ifeq ($(IS_FREMANTLE),y)
-AUDIODEV:=
+AUDIODEV:=,libgstreamer0.10-dev,gstreamer0.10-plugins-base,libgstreamer-plugins-base0.10-dev
 AUDIOPKG:=
 else
 AUDIODEV:=,libgstreamer0.10-dev,libgstreamer-plugins-base0.10-dev,libgstapp0.10-dev

=== debian/changelog ===
gdspeak (0.0.1.901-1) unstable; urgency=low

  * Fix reversed sink names

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 12 Apr 2011 20:15:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gdspeak
 Priority: optional
 Maintainer: Kaj-Michael Lang
-Build-Depends: debhelper (>= 4.1.0), cdbs, libespeak-dev (>=1.45.02), libglib2.0-dev, dbus, libdbus-glib-1-dev ,libgstreamer0.10-dev,libgstreamer-plugins-base0.10-dev,libgstapp0.10-dev
+Build-Depends: debhelper (>= 4.1.0), cdbs, libespeak-dev (>=1.45.02), libglib2.0-dev, dbus, libdbus-glib-1-dev ,libgstreamer0.10-dev,gstreamer0.10-plugins-base,libgstreamer-plugins-base0.10-dev
 Standards-Version: 3.8.0
 
 Package: gdspeak
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libespeak (>=1.45.10), espeak-data (>=1.45.10) ,libgstapp0.10
+Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libespeak (>=1.45.10), espeak-data (>=1.45.10) 
 XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi
 Description: espeak D-Bus service
  gdspeak provides a queueing system for applications using espeak.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_TAR_SRCDIR:=gdspeak-0.0.1.901
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug
-ifeq ($(IS_FREMANTLE),n)
+ifeq ($(IS_FREMANTLE),y)
 DEB_CONFIGURE_EXTRA_FLAGS+=--enable-gst --with-gstsink=pulsesink
 else
 DEB_CONFIGURE_EXTRA_FLAGS+=--enable-gst --with-gstsink=dsppcmsink

## gdspeak 0.0.1.902

=== debian/changelog ===
gdspeak (0.0.1.902) unstable; urgency=low

  * Fix missing include file
  * Use GConf for default voice,rate,pitch and range settings
  * Get espeak event to signal emission working 

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 10 May 2011 13:43:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gdspeak
 Priority: optional
 Maintainer: Kaj-Michael Lang
-Build-Depends: debhelper (>= 4.1.0), cdbs, libespeak-dev (>=1.45.02), libglib2.0-dev, dbus, libdbus-glib-1-dev ,libgstreamer0.10-dev,gstreamer0.10-plugins-base,libgstreamer-plugins-base0.10-dev
+Build-Depends: debhelper (>= 4.1.0), cdbs, libespeak-dev (>=1.45.02), libglib2.0-dev, libgconf2-dev, dbus, libdbus-glib-1-dev ,libgstreamer0.10-dev,gstreamer0.10-plugins-base,libgstreamer-plugins-base0.10-dev
 Standards-Version: 3.8.0
 
 Package: gdspeak
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libespeak (>=1.45.10), espeak-data (>=1.45.10) 
+Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libgconf2, libespeak (>=1.45.10), espeak-data (>=1.45.10) 
 XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi
 Description: espeak D-Bus service
  gdspeak provides a queueing system for applications using espeak.

## gdspeak 0.0.1.902-1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=gdspeak
-VERSION:=0.0.1.901
+VERSION:=0.0.1.902
 SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
 HOMEPAGE:=http://maemo.tal.org/
 URLS=http://ftp.tal.org/pub/src/gdspeak/0.0

=== debian/changelog ===
gdspeak (0.0.1.902-1) unstable; urgency=low

  * Fix libgconf2 dependency

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 10 May 2011 18:34:00 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Package: gdspeak
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libgconf2, libespeak (>=1.45.10), espeak-data (>=1.45.10) 
+Depends: ${shlibs:Depends}, dbus, libdbus-glib-1-2, libgconf2-6, libespeak (>=1.45.10), espeak-data (>=1.45.10) 
 XSBC-Bugtracker: http://bugzilla.tal.org/enter_bug.cgi
 Description: espeak D-Bus service
  gdspeak provides a queueing system for applications using espeak.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=gdspeak-0.0.1.901
+DEB_TAR_SRCDIR:=gdspeak-0.0.1.902
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug
 ifeq ($(IS_FREMANTLE),y)
